al_set_menu_item_icon(3)

NAME

al_set_menu_item_icon - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_native_dialog.h>
    void al_set_menu_item_icon(ALLEGRO_MENU *menu, int pos, ALLEGRO_BITMAP *icon)

DESCRIPTION

Sets the icon for the specified menu item. The menu assumes ownership of the ALLEGRO_BITMAP and may invalidate the pointer, so you must clone it if you wish to continue using it.

If a video bitmap is passed, it will automatically be converted to a memory bitmap, so it is preferable to pass a memory bitmap.

SINCE

5.1.0

SEE ALSO

al_get_menu_item_icon(3), al_clone_bitmap(3)